﻿////mr-bundler-ignore
function MrStartUI() {
  MrMUISecoundryColor = '#53565a';
  MrMUIPrimaryColor = '#F5F5F5';
  MrMUIToolWidth = "30vw";
  MrMUIToolMaxWidth = "650px";
  MrMUIToolMinWidth = "500px";
  MrCID = 165;
  MrAudCid = 22;
  try{
  MrArabicUIisOn = SiteLang;
  }
catch(err){
  MrArabicUIisOn =
  document.getElementsByTagName("html")[0].getAttribute("lang") == "ar" ||
  window.location.href
    .toString()
    .toLowerCase()
    .indexOf("/ar/".toLowerCase()) > -1;
}
  MrArabicFlag = "ar";

  MRUAPPrepareUI(
    [
      "MrSignLanguage",
      "MrText2Speech",
      "MrControl_Page_contrast",
      "MrCursor_Helpers",
      "MrChangefont",
      "MrPage_saturation_control",
      "MrHideImgs",
      "MrRealWords_Spacing",
      "MrWords_Spacing",
      "MrLine_Spacing",
      "MrEnlarge_Fonts",
      "MrHighlight_Links",
      "MrAnimation",
      "MrText_Alignments",
      "MrPage_Structure",
    ],
    ['MrVisuallyImpaired','Mrdyslexia','MrADHD','MrSeizureAndEpilepsy','MrColor_Blind','Mrcognitive_education','MrImpaired_mobility']
  );

  var MrIconMessage = undefined;
  if (MrArabicUIisOn) {
    MrIconMessage = "(CTRL + U)مساعدة في استخدام الموقع";
  } else {
    MrIconMessage = "Assist using site (CTRL + U)";
  }


  MrGotoArabicVersion = function () {
    try{
      document.getElementById(':1.container').contentWindow.document.getElementById(':1.restore').click();
   }catch(err){}
    if (!MrArabicUIisOn) {
        var href = jQuery('.language_ar a').attr('href'); 
     window.location.href = href;
      MrUPChangeToolLangToAR();
    }
  };
  MrGotoEnglishVersion = function () {
    try{
          document.getElementById(':1.container').contentWindow.document.getElementById(':1.restore').click();
       }catch(err){}
    if (MrArabicUIisOn) {
     var href = jQuery('.language_en a').attr('href');
     window.location.href = href;
      MrUPChangeToolLAngToEN();
    }
  };
  var MrIconToAdd =
    '<div id="MrAccessInHand" title="' +
    MrIconMessage +
    '"><img src="https://cdn.mindrocketsapis.com/client/imgs/png/accessability.png" width="50" alt="' +
    MrIconMessage +
    '"></div>';
  MrUAPAddStyle(
    "#MrAccessInHand:hover { filter: brightness(1.3);} #MrAccessInHand {z-index: 99;cursor:pointer; position: fixed; bottom: 130px; left: 9px; background-color: " +
    MrMUISecoundryColor +
    "; border-radius: 50%;width:60px;height:60px;text-align:center } #MrAccessInHand img{filter:" +
    MrUtilHexToFilter(MrMUIWhite) +
    ";margin-top:5px;width:48px}",
    "MrbuttonCSS"
  );
  jQuery("body").append(MrIconToAdd);

 jQuery("#MrAccessInHand").click(function () {
        MrToolCheckLicense();
        MrUAPShowAssistiveTool();
        
        MrMUIGetGoogleTranslationValues(2);
        if (MrArabicUIisOn) {
            jQuery("[mrtitleen='Arabic']").addClass("MrMUIActivated");
            jQuery("[mrtitleen='Arabic'] label").addClass("MrButtonActive");
        } else {
            jQuery("[mrtitleen='English']").addClass("MrMUIActivated");
            jQuery("[mrtitleen='English'] label").addClass("MrButtonActive");
        }
    });
  MrUAPPrepareMrOrgColor();
  MrMUIActivateShotcuts();
}
////endmr-bundler-ignore
jQuery(document).ready(function () {
  setTimeout(function () {
    MrStartUI();
  }, 500);
});